aboutsummaryrefslogtreecommitdiffstats
path: root/community/ospd
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-08-18 12:00:22 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-08-18 12:00:22 +0000
commit7d1858623a6fc1f63315ad35bea58c632d58d3d0 (patch)
tree4cc08af75683d7a4ad4cda74726d19598e68e143 /community/ospd
parent20c1f7f2330bfd49f9f8a86203aa49b3e34d41a4 (diff)
downloadaports-7d1858623a6fc1f63315ad35bea58c632d58d3d0.tar.gz
aports-7d1858623a6fc1f63315ad35bea58c632d58d3d0.tar.bz2
aports-7d1858623a6fc1f63315ad35bea58c632d58d3d0.tar.xz
community/ospd: moved from testing
Diffstat (limited to 'community/ospd')
-rw-r--r--community/ospd/APKBUILD40
1 files changed, 40 insertions, 0 deletions
diff --git a/community/ospd/APKBUILD b/community/ospd/APKBUILD
new file mode 100644
index 0000000000..fa29bbbc46
--- /dev/null
+++ b/community/ospd/APKBUILD
@@ -0,0 +1,40 @@
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=ospd
+pkgver=1.2b1
+pkgrel=0
+pkgdesc="Collection of scanner wrappers for OpenVAS"
+url="http://www.openvas.org/"
+arch="noarch"
+license="GPL"
+depends="python"
+depends_dev=""
+makedepends="$depends_dev py-paramiko py-setuptools"
+install=""
+subpackages=""
+source="http://wald.intevation.org/frs/download.php/2217/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="87b583b732c6efe1cc3632ec5136c278 ospd-1.2b1.tar.gz"
+sha256sums="ab85e8b6e2bed5ce98b5911446e49e843c59354f1bc1d8d34a9ea26f8e013813 ospd-1.2b1.tar.gz"
+sha512sums="604180037fdbd6a093ee92ec1a5f80fb89c82de8931cf1fc904e4425b69017a489f33a5e59d0b81d2e58c95ad38c9dec8b616514612422781c0adea720a69f04 ospd-1.2b1.tar.gz"